View Issue Details

IDProjectCategoryLast Update
0019519AI War 2[All Projects] Gameplay IssueApr 13, 2018 3:47 pm
ReporterzeusalmightyAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.714 
Fixed in Version0.721-0.722 Down The Wormhole 
Summary0019519: Sending units through wormhole requires too much precision
DescriptionTrying to send units through a wormhole is way too finicky--it's very difficult to select it without zooming way in

The wormholes themselves don't need to be bigger, but the targeting area should be, especially at farther zoom levels
TagsNo tags attached.

Relationships

related to 0019557 resolvedkeith.lamothe Non-player ships exiting wormholes from a distance 

Activities

x4000Bughunter

Mar 21, 2018 3:02 pm

administrator   ~0047261

There was a bad snapping bug due to the near clipping plane causing raycast precision issues in version 0.714 and before. 0.715 is going to be out later today; can you retest in that and see what you think? I think the primary issue was probably the snapping of the cursor more than anything else.

zeusalmighty

Mar 21, 2018 3:04 pm

reporter   ~0047262

I'll confirm when I get my hands on the new patch

x4000Bughunter

Mar 21, 2018 3:05 pm

administrator   ~0047263

Thanks -- it may be a double problem, but I want to see about this one first.

zeusalmighty

Mar 21, 2018 10:31 pm

reporter   ~0047264

seems a bit more responsive, but frankly I think this could still use more improvement, especially when theres a bunch of units cluttered by the wormhole and it's not clearly visible

x4000Bughunter

Mar 22, 2018 8:48 am

administrator   ~0047265

10-4, thanks for the feedback. :)

BadgerBadger

Mar 24, 2018 10:51 am

manager   ~0047294

We could just make the wormhole a bit bigger?

x4000Bughunter

Apr 13, 2018 3:47 pm

administrator   ~0047426

* Wormholes are now vastly larger -- over 3x wider -- and no longer spherical. Instead, they are more of an oval, and they're ringed by a large and scary-looking human-made piece of machinery that nobody can attack.
** This is more in keeping with the lore, anyhow, in that humans found the wormholes and then had to somewhat create the network. It's a bit like the gates in The Lost Fleet series, kinda-sorta.
** This makes them way easier to click, without making them look goofy -- in fact, they look cooler than ever.

Thanks!

Issue History

Date Modified Username Field Change
Mar 21, 2018 2:56 pm zeusalmighty New Issue
Mar 21, 2018 3:02 pm x4000Bughunter Assigned To => x4000Bughunter
Mar 21, 2018 3:02 pm x4000Bughunter Status new => feedback
Mar 21, 2018 3:02 pm x4000Bughunter Note Added: 0047261
Mar 21, 2018 3:04 pm zeusalmighty Note Added: 0047262
Mar 21, 2018 3:04 pm zeusalmighty Status feedback => assigned
Mar 21, 2018 3:05 pm x4000Bughunter Note Added: 0047263
Mar 21, 2018 10:31 pm zeusalmighty Note Added: 0047264
Mar 22, 2018 8:48 am x4000Bughunter Note Added: 0047265
Mar 24, 2018 10:51 am BadgerBadger Note Added: 0047294
Apr 3, 2018 3:05 pm x4000Bughunter Relationship added related to 0019557
Apr 13, 2018 3:47 pm x4000Bughunter Status assigned => resolved
Apr 13, 2018 3:47 pm x4000Bughunter Resolution open => fixed
Apr 13, 2018 3:47 pm x4000Bughunter Fixed in Version => 0.721-0.722 Down The Wormhole
Apr 13, 2018 3:47 pm x4000Bughunter Note Added: 0047426